Bug 731515 - (qtweetlib) Review Request: qtweetlib - Qt Twitter library
Review Request: qtweetlib - Qt Twitter library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Magnus Tuominen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews tomahawk
  Show dependency treegraph
 
Reported: 2011-08-17 15:08 EDT by Rex Dieter
Modified: 2012-01-19 16:56 EST (History)
3 users (show)

See Also:
Fixed In Version: clementine-0.7.1-4.fc16.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-06 15:54:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
magnus.tuominen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Rex Dieter 2011-11-15 09:31:53 EST
%changelog
* Mon Nov 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- 0.3.0

Spec URL: http://rdieter.fedorapeople.org/rpms/tomahawk/qtweetlib.spec

SRPM URL: http://rdieter.fedorapeople.org/rpms/tomahawk/qtweetlib-0.3.0-1.fc16.src.rpm
Comment 2 Magnus Tuominen 2012-01-06 13:24:09 EST
This is the review:

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
rpmlint -iv qtweetlib.spec
qtweetlib.spec: I: checking-url https://github.com/downloads/minimoog/QTweetLib/QTweetLib-0.3.0.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint -iv qtweetlib-0.3.0-1.fc16.src.rpm
qtweetlib.src: I: checking
qtweetlib.src: I: checking-url https://github.com/minimoog/QTweetLib/ (timeout 10 seconds)
qtweetlib.src: I: checking-url https://github.com/downloads/minimoog/QTweetLib/QTweetLib-0.3.0.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

MUST: The package must be named according to the Package Naming Guidelines.
OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK
MUST: The package must meet the Packaging Guidelines.
OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK GPLv2.1
MUST: The License field in the package spec file must match the actual license.
OK GPLv2.1
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK
MUST: The spec file must be written in American English.
OK
MUST: The spec file for the package MUST be legible.
OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
src.rpm:        a37055e7c081049294efb42126933cef
upstream:       a37055e7c081049294efb42126933cef
OK
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK, x86_64 tested
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
NA
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK
MUST: Packages must NOT bundle copies of system libraries.
OK
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
NA
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
OK
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK
MUST: Each package must consistently use macros.
OK
MUST: The package must contain code, or permissable content.
OK
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
OK
MUST: Header files must be in a -devel package.
OK
MUST: Static libraries must be in a -static package.
OK
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
OK
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
NA
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK
MUST: All filenames in rpm packages must be valid UTF-8.
OK


SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.
SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
SHOULD: The reviewer should test that the package builds in mock.
OK
SHOULD: The package should compile and build into binary rpms on all supported architectures.
SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
References to the Fedora Packaging Guidelines

Looks good to me.
Comment 3 Magnus Tuominen 2012-01-06 13:42:11 EST
Approved!
Comment 4 Rex Dieter 2012-01-06 15:06:36 EST
New Package SCM Request
=======================
Package Name: qtweetlib
Short Description: Qt Twitter library 
Owners: rdieter
Branches: f16
InitialCC:
Comment 5 Jon Ciesla 2012-01-06 15:30:59 EST
Git done (by process-git-requests).
Comment 6 Rex Dieter 2012-01-06 15:54:58 EST
imported.

thanks!
Comment 7 Fedora Update System 2012-01-10 18:04:43 EST
clementine-0.7.1-4.fc16.1,tomahawk-0.3.3-4.fc16,libechonest-1.2.1-1.fc16,qca-cyrus-sasl-2.0.0-0.3.beta3.fc16,jreen-1.0.1-4.fc16,iris-1.0.0-0.10.20110904svn812.fc16,qtweetlib-0.3.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/clementine-0.7.1-4.fc16.1,tomahawk-0.3.3-4.fc16,libechonest-1.2.1-1.fc16,qca-cyrus-sasl-2.0.0-0.3.beta3.fc16,jreen-1.0.1-4.fc16,iris-1.0.0-0.10.20110904svn812.fc16,qtweetlib-0.3.0-1.fc16
Comment 8 Fedora Update System 2012-01-19 16:56:14 EST
clementine-0.7.1-4.fc16.1, tomahawk-0.3.3-4.fc16, libechonest-1.2.1-1.fc16, qca-cyrus-sasl-2.0.0-0.3.beta3.fc16, jreen-1.0.1-4.fc16, iris-1.0.0-0.10.20110904svn812.fc16, qtweetlib-0.3.0-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.